Package org.apache.sysds.common

## Enum Types.ReOrgOp

- java.lang.Object
- - java.lang.Enum<Types.ReOrgOp>
  - - org.apache.sysds.common.Types.ReOrgOp

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.ReOrgOp>`

Enclosing interface:
  Types

    public static enum Types.ReOrgOp
    extends Enum<Types.ReOrgOp>

Operations that perform internal reorganization of an allocation

### Enum Constant Summary

Enum Constants
`DIAG`
`RESHAPE`
`REV`
`ROLL`
`SORT`
`TRANS`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `preservesValues()`
`String` `toString()`
`static Types.ReOrgOp` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Types.ReOrgOp` `valueOfByOpcode​(String opcode)`
`static Types.ReOrgOp[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### DIAG

    public static final Types.ReOrgOp DIAG

#### RESHAPE

    public static final Types.ReOrgOp RESHAPE

#### REV

    public static final Types.ReOrgOp REV

#### ROLL

    public static final Types.ReOrgOp ROLL

#### SORT

    public static final Types.ReOrgOp SORT

#### TRANS

    public static final Types.ReOrgOp TRANS

### Method Detail

#### values

    public static Types.ReOrgOp[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.ReOrgOp c : Types.ReOrgOp.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.ReOrgOp valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### preservesValues

    public boolean preservesValues()

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<Types.ReOrgOp>`

#### valueOfByOpcode

    public static Types.ReOrgOp valueOfByOpcode​(String opcode)